package org.dict.client;

import java.io.*;
/**
 * Insert the type's description here.
 * Creation date: (15.03.2002 16:52:24)
 * @author: 
 */
public class JDictLauncher extends JDictGUI {
/**
 * JDictLauncher constructor comment.
 * @param cfg java.lang.String
 */
public JDictLauncher(String cfg) {
	super(cfg);
}
public void appendText(String s, String db) {
	if (!(db.endsWith("ev") || db.endsWith("ve") || db.endsWith("fv") || db.endsWith("vf"))) {
		super.appendText(s, db);
		return;
	}
	StringBuffer sb = new StringBuffer(s.length());
	for (int i = 0; i < s.length(); i++) {
        char c = s.charAt(i);
        if (c == '$') {
        } else if (c == '!') {
	        sb.append("! ");
        } else if (c == '=') {
            sb.append("  + ");
        } else if (c == '+') {
            sb.append("\n    ");
        } else {
	        sb.append(c);
        }
    }
    getDisplay().setText(getDisplay().getText()+"\n----------\n"+sb);
}
public static void main(String[] args) {
	String serverCfg = null, cfg = null;
	for (int i = 0; i < args.length-1; i++){
		if (args[i].equalsIgnoreCase("-s")) {
			serverCfg = args[++i];
		} else if (args[i].equalsIgnoreCase("-c")) {
			cfg = args[++i];
		}
	}
	if (serverCfg != null) {
		org.dict.server.JDictd.listen(new String[] {serverCfg});
	}
	JDictGUI runner = new JDictLauncher(cfg);
	javax.swing.JTextField tf = runner.getInputField();
	javax.swing.JTextArea ta = runner.getDisplay();
	duc.util.Encoding e = new duc.util.UnicodeEncoding();
	java.awt.event.KeyListener tfl = new duc.util.gui.SwingVietKey("Telex", tf, e);
	java.awt.event.KeyListener tal = new duc.util.gui.SwingVietKey("Telex", ta, e);
	java.util.Hashtable h = new java.util.Hashtable(5);
	h.put(tf, tfl);
	h.put(ta, tal);
	runner.addKeyListeners(h);
	runner.loop();
}
}
