package org.dict.server;

import org.dict.kernel.*;
import java.io.*;
/**
 * Insert the type's description here.
 * Creation date: (10.03.2002 18:31:10)
 * @author: 
 */
public abstract class AnswerPrinter {
	static java.util.Hashtable fPrinters = new java.util.Hashtable();
/**
 * AnswerPrinter constructor comment.
 */
public AnswerPrinter() {
	super();
}
public static AnswerPrinter getPrinter(String dbID, String mime) {
	String key = dbID+"/"+mime;
	AnswerPrinter ret = (AnswerPrinter) fPrinters.get(key);
	if (ret == null) {
		if (mime.endsWith("html")) {
			ret = new DictHTMLPrinter();
		} else {
			ret = new PlainPrinter();
		}
		fPrinters.put(key, ret);
	}
	return ret;
}
	public static java.util.Hashtable getPrinters() {
		return fPrinters;
	}
public abstract void printAnswer(IRequest req, IAnswer a, boolean matches, PrintWriter out) throws IOException;
protected void printForm(IDictEngine e, IRequest req, PrintWriter out)
    throws IOException {
}
}
