package org.dict.client;

class ServerInfo {
    static java.util.Hashtable fInstances = new java.util.Hashtable();
    String host;
    int port;
    String[] dbs;
    public ServerInfo(String uri) {
        int hostEnd = uri.indexOf(':');
        int portEnd = uri.lastIndexOf('/');
        if (hostEnd >= 0) {
            host = uri.substring(0, hostEnd);
            port = Integer.parseInt(uri.substring(hostEnd + 1, portEnd));
        } else {
            host = uri.substring(0, portEnd);
            port = 2628;
        }
        java.util.StringTokenizer st =
            new java.util.StringTokenizer(uri.substring(portEnd + 1), "&", false);
        java.util.Vector v = new java.util.Vector(3);
        while (st.hasMoreTokens()) {
            v.addElement(st.nextToken());
        }
        dbs = new String[v.size()];
        v.copyInto(dbs);
    }
    public static ServerInfo getInstance(String uri) {
        ServerInfo srv = (ServerInfo) fInstances.get(uri);
        if (srv == null) {
            srv = new ServerInfo(uri);
            fInstances.put(uri, srv);
        }
        return srv;
    }
}
