package org.dict.server;

import java.io.*;

public class Logger {
	private static Logger fInstance = new Logger();
	private static int BUFFER = Integer.getInteger("BUFFER", 10000).intValue();
	int count = 0;
	java.text.DateFormat df = new java.text.SimpleDateFormat("yyyyMMdd");
	StringBuffer sb = new StringBuffer(BUFFER);
/**
 * Logger constructor comment.
 */
public Logger() {
	super();
}
public static Logger getInstance() {
	return fInstance;
}
public void log(String s) {
	sb.append(s).append('\n');
	if (sb.length() < BUFFER) {
		return;
	}
	String file = df.format(new java.util.Date()) + ".txt";
	log(sb.toString(), file);
	sb = new StringBuffer(BUFFER);
	sb.append(new java.util.Date()).append('\n');
	count++;
}
public void log(String s, String file) {
	if (Boolean.getBoolean("debug")) {
		System.out.println(s);
		return;
	}
	try {
		OutputStream os = new BufferedOutputStream(new FileOutputStream(file, true));
		os.write(s.getBytes());
		os.write('\n');
		os.flush();
		os.close();
	} catch (Throwable t) {
		
	}
}
}
